import matplotlib.pyplot as plt
import numpy as np

amps = np.arange(0.068, 0.075, 0.0001)
lyaps = [
    [-0.07614990089700177, -0.07630455697300005], [-0.07611245649491519, -0.07631486612601077],
    [-0.0762997151264614, -0.0760464933918432], [-0.07617684566062333, -0.07618309956177062],
    [-0.01922780895070198, -0.019912524305372683], [-0.05279837774031122, -0.0996154331715017],
    [-0.04431283149327541, -0.107955688852273], [-0.03740339434097603, -0.1148110600842681],
    [-0.03216110018192152, -0.1199772852548113], [-0.027510329075996036, -0.1245988583006508],
    [-0.023247564161682454, -0.12889326761592787], [-0.019556653874251647, -0.1325508445102508],
    [-0.016411806581034548, -0.13574819621185605], [-0.013123902363252461, -0.13899901976971688],
    [-0.010354231255419833, -0.14163714482654027], [-0.0020372764173276657, -0.14376378314022364],
    [-0.005260649001721454, -0.14672375707461516], [-0.002736058132465837, -0.14920572049212394],
    [-0.000534178102448558, -0.1513458068443319], [-0.003458865799545675, -0.14845241841381648],
    [-0.009321484387094599, -0.14263601892524563], [-0.018084882554816162, -0.13378046175106503],
    [-0.03514182708407225, -0.11688570243348842], [-0.0601407214488077, -0.09184545852920091],
    [-0.024480224889339496, -0.12749284902215022], [-0.012472378359450491, -0.1394784222231618],
    [-0.005184535041973053, -0.14681300403420355], [-0.0012503877296018383, -0.15077295926759182],
    [-0.018978415308373804, -0.13296602630008397], [-0.007822108718584743, -0.14415044955903641],
    [0.007184618620623901, -0.15911732325026923], [0.01165637470054544, -0.16356221594850756],
    [0.0153807846512663, -0.16725188840738492], [0.016239452756205426, -0.16823079598648535],
    [0.0021737501803086668, -0.15473251255995574], [0.017999493292142083, -0.17008662126977622],
    [0.020126922545039356, -0.17243457058030964], [0.018853479076068578, -0.17144291036595635],
    [0.022765177349332793, -0.17567079458109405], [0.026113746668942873, -0.17913192707818276],
    [0.026382532796280545, -0.17938202258914066], [-0.013541321908532314, -0.13919696613246713],
    [0.02876839662163815, -0.18132730319568527], [0.031073898250392522, -0.1837870514467246],
    [0.0074593667100456345, -0.15872044097560428], [0.03165997581636259, -0.1838996765201052],
    [0.03248763589928754, -0.18459670984332524], [0.0344532047791897, -0.18635855613792635],
    [0.03989854527347771, -0.18944995704274145], [0.062448401460776466, -0.1845541080630079],
    [0.06904221033194241, -0.18540346569452085], [0.0699791390064486, -0.18842778112398875],
    [0.06636194620806674, -0.18584828196456618], [0.07801494071850379, -0.182687359016049],
    [0.07297689233117113, -0.18215395447071867], [0.07251305574812718, -0.1840979346346222],
    [0.07331774615880496, -0.18617938356604452], [0.08218473314455409, -0.18830145854225],
    [0.08631594991036928, -0.18159605696769435], [0.08405714899234662, -0.18363947116976684],
    [0.08473132078084412, -0.1814707260126889], [0.08303422290708092, -0.1889897132818025],
    [0.08084740093416427, -0.18515969375769337], [0.08481699719876848, -0.1853030141779671],
    [0.08970227091904633, -0.18478088300110293], [0.09126838010672851, -0.18794587592961953],
    [0.09127514614784879, -0.1851026658782423], [0.08843327371592512, -0.1877673875056711],
    [0.09338985544718412, -0.1869736964556924], [0.09132121671860188, -0.1880268736548629]]

plt.tick_params(labelsize=20)
plt.plot(amps, lyaps)
plt.legend([f"Lyapunov exponent #{i}" for i in (1, 2, 3, 4)])
# plt.xlabel("")
# plt.ylabel("")
plt.grid(True)
plt.show()
